# Class StarVariables

java.lang.Object
gaia.cu9.tools.parallax.datamodel.StarVariables

public class StarVariables extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected double`
`alpha`
`protected double`
`Bdeg`
`protected double`
`delta`
`protected double`
`errVarpi`
`protected double`
`Ldeg`
`protected double`
`realR`
`protected long`
`sourceId`
`protected double`
`varpi`

## Constructor Summary

Constructors
Constructor
Description
`StarVariables(long sourceId, double alpha, double delta, double lGal, double bGal, double varpi, double sigmaVarpi)`

## Method Summary

Modifier and Type
Method
Description
`double`
`getAlpha()`
`double`
`getBdeg()`
`double`
`getDelta()`
`double`
`getErrVarpi()`
`double`
`getLdeg()`
`double`
`getRealR()`
`long`
`getSourceId()`
`double`
`getVarpi()`
`void`
`setAlpha(double alpha)`
`void`
`setBdeg(double bdeg)`
`void`
`setDelta(double delta)`
`void`
`setErrVarpi(double errVarpi)`
`void`
`setLdeg(double ldeg)`
`void`
`setRealR(double realR)`
`void`
`setSourceId(long sourceId)`
`void`
`setVarpi(double varpi)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### sourceId

protected long sourceId

### alpha

protected double alpha

### delta

protected double delta

### Ldeg

protected double Ldeg

### Bdeg

protected double Bdeg

### varpi

protected double varpi

### errVarpi

protected double errVarpi

### realR

protected double realR

## Constructor Details

### StarVariables

public StarVariables(long sourceId, double alpha, double delta, double lGal, double bGal, double varpi, double sigmaVarpi)

## Method Details

### getSourceId

public long getSourceId()

### setSourceId

public void setSourceId(long sourceId)

### getAlpha

public double getAlpha()

### setAlpha

public void setAlpha(double alpha)

### getDelta

public double getDelta()

### setDelta

public void setDelta(double delta)

### getLdeg

public double getLdeg()

### setLdeg

public void setLdeg(double ldeg)

### getBdeg

public double getBdeg()

### setBdeg

public void setBdeg(double bdeg)

### getVarpi

public double getVarpi()

### setVarpi

public void setVarpi(double varpi)

### getErrVarpi

public double getErrVarpi()

### setErrVarpi

public void setErrVarpi(double errVarpi)

### getRealR

public double getRealR()

### setRealR

public void setRealR(double realR)